pskc_set_key_policy_expirydate(3)

NAME
pskc_set_key_policy_expirydate - API function

SYNOPSIS
#include <pskc.h>

void pskc_set_key_policy_expirydate(pskc_key_t * key, const struct tm * expirydate);

ARGUMENTS

pskc_key_t * key
    a pskc_key_t handle, from pskc_get_keypackage().

const struct tm * expirydate
    pointer to a tm struct with key policy expiry date to set.

DESCRIPTION
Set the PSKC KeyPackage Key Policy ExpiryDate. This element denote the expiry of the validity period of a key.

SINCE
2.2.0

REPORTING BUGS
Report bugs to <oath-toolkit-help@nongnu.org>. libpskc home page: https://www.nongnu.org/oath-toolkit/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2012-2020 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.